-- hotels.lua: Drowning v0.2 [nclok1405]
-- SR2 district script
-- 3/28/07


function hotels_init()
end

function hotels_main()
	while true do
		thread_yield()
		
		-- If the player or a homie is swimming, kill him/her
		if (not character_is_dead(LOCAL_PLAYER)) and character_is_swimming(LOCAL_PLAYER) then
			character_kill(LOCAL_PLAYER)
		end
		if coop_is_active() and (not character_is_dead(REMOTE_PLAYER)) and character_is_swimming(REMOTE_PLAYER) then
			character_kill(REMOTE_PLAYER)
		end
		if (not character_is_dead("#FOLLOWER1#")) and character_is_swimming("#FOLLOWER1#") then
			character_set_unrevivable("#FOLLOWER1#", true)
			character_kill("#FOLLOWER1#")
		end
		if (not character_is_dead("#FOLLOWER2#")) and character_is_swimming("#FOLLOWER2#") then
			character_set_unrevivable("#FOLLOWER2#", true)
			character_kill("#FOLLOWER2#")
		end
		if (not character_is_dead("#FOLLOWER3#")) and character_is_swimming("#FOLLOWER3#") then
			character_set_unrevivable("#FOLLOWER3#", true)
			character_kill("#FOLLOWER3#")
		end
	end
end

-- debug function - call from the console with 'lua' command
function warp_hotels()
	message("warping...")
	delay(0)
	teleport("#PLAYER#", "hotels_$nav-warp")
end
